%Desired stopband frequency
fs = 5e3;
%Edge of passband frequency
fp = 4.780e3;
%Passband in rad/s
Wp = 2 * pi * fp;
%Stopband in rad/s
Ws = 2 * pi * fs;
%Stopband attenuation
as = 40;
%Passband attenuation
ap = 1;
%Frequency values for sweep
f = [0:100:10e3]';
%The sample frequency is 10KHz
T = 10e3
%The digital frequency from 0 to pi
digitalf = [0:pi/32:pi];    
%Finds the order and the elliptic natural frequency (Wn)
[N, Wn] = ellipord(Wp, Ws, ap, as, 's')
%Finds the numerator and denominator coeffeicients of the filter transfer function
[NUM, DEN] = ellip(N, ap, as, Wn, 's');     
%Creates the tranfer function and corresponding values at the frequency f (rad/s)
graph = freqs(NUM, DEN, 2 * pi * f);        
%The following commands plot the magnitude and phase response of the anti aliasing LPF
figure          
subplot(2,1,1)
plot((f/1e3), abs(graph))
grid on
xlabel('Frequency in KHz')
ylabel('Amplitude')
subplot(2,1,2)
plot((f/1e3), angle(graph))
grid on
xlabel('Frequency in KHz')
ylabel('Phase Response')

%Numerator coefficient matrix of the difference equation
NUM2 = [1, -0.53353, 0.7265]
%Denominator coefficient matrix of the difference equation
DEN2 = [-0.136728, 0.136728]    
%Creating the frequency response of the differnce equation using matlab
graph2 = freqz(DEN2, NUM2, digitalf);   
%The following commands plot the magnitude and frequency response with respect to the digital frequency
figure              
subplot(2,1,1)
plot((digitalf), abs(graph2))
grid on
xlabel('Frequency in Radians')
ylabel('Amplitude')
subplot(2,1,2)
plot((digitalf), angle(graph2))
grid on
xlabel('Frequency in Radians')
ylabel('Phase Response')
%The following commands plot the magnitude and frequency response with respect to the analog frequency
figure              
subplot(2,1,1)
plot((digitalf*5000), abs(graph2))
grid on
xlabel('Frequency in Hertz')
ylabel('Amplitude')
subplot(2,1,2)
plot((digitalf*5000), angle(graph2))
grid on
xlabel('Frequency in Hertz')
ylabel('Phase Response')


