clear, close all;

f = [0:pi/128:20];
T = .282843;
w = [0:pi/1028:pi];
num = [1 0 50];
den = [1 1 25];

Ha = freqs(num, den , f);
magHa = abs(Ha);
phaseHa = angle(Ha);

figure
subplot(2,1,1)
plot(f, magHa)
grid on
xlabel('Omega')
ylabel('Amplitude')
subplot(2,1,2)
plot(f, phaseHa)
grid on
xlabel('Omega')
ylabel('Angle')

figure
plot(f, magHa)
grid on
xlabel('Omega')
ylabel('Amplitude')

[num2, den2] = bilinear(num, den, 1/T)

%Bilinear transform results
%num2 =
%1.2185    0.0000    1.2185
%den2 =
%1.0000   -0.6092    0.8277



Hd = freqz(num2, den2, w);
magHd = abs(Hd);
phaseHd = angle(Hd);

figure
subplot(2, 1, 1)
plot(f, magHa)
grid on
xlabel('Omega')
ylabel('Amplitude')
title('Magnitude Response - Analog')
subplot(2, 1, 2)
plot(w, magHd)
grid on
xlabel('Omega')
ylabel('Amplitude')
title('Magnitude Response - Digital')