clear all
n = [0:1:400];
w1 = .514 * pi;
w2 = .266 * pi;
w3 = .143 * pi;
w = [0:pi/1024:pi]';

a = [1 .0392];
A = [1 .0784 1];

b = [.5 -.335];
B = [1 -1.34 1];

c = [.75 -.676 ];
C = [1 -1.80 1];

num1 = conv(a, B);
num4 = conv(num1, C);

num2 = conv(b, A);
num5 = conv(num2, C);

num3 = conv(c, A);
num6 = conv(num3, B);

den = conv(A, B);
den2 = conv(den, C);

top = num4 + num5 + num6;

tf(top, den2, 1)

%Resulting Transfer Function
% 2.25 z^5 - 5.919 z^4 + 8.069 z^3 - 6.678 z^2 + 3.556 z - 0.9718
%-----------------------------------------------------------------
%z^6 - 3.062 z^5 + 5.166 z^4 - 5.934 z^3 + 5.166 z^2 - 3.062 z + 1

Hz = freqz(top, den2, w);
magHz = abs(Hz);

xn = cos(w1 * n) + (0.5 * cos(w2 * n)) + (0.75 * cos(.143 * n));
Hjw = fft(xn);

magHjw = abs(Hjw);


subplot(2, 1, 1)
plot(n, xn)
xlabel('Samples')
ylabel('Amplitude')
subplot(2, 1, 2)
plot(w, 20*log10(magHz))
xlabel('Omega')
ylabel('dB')
